Subject: Re: RE: draft-ietf-pana-usage-scenarios-00.txt

From: Paal Engelstad <[email-masked]>
Date: Wed, 6 Feb 2002 21:24:48 +0100

Hesham,

> => I understand, but I think we have different views 
> of what a use case is. This is an example to show 
> the need for access independant authentication. 
> Nothing to do with mobility management. Just 
> like interface switching has nothing to do
> with solving the entire multihoming problem. 

I think we have discussed this in length and reached a common understanding (check the archive) that the authentication cannot be entirely access independent: The initial authentication (i.e not re-authentiction) will probably incorporate the "Device Identifier", which is access dependent.

The PANA protocol shall provide a "hook" for access control. This "hook" includes IMO the Device Identifier. This part is within scope.

I think that the interface switching, mulithoming, etc - parts of the scenario document indicate the kind of access dependent information that MAY be incorporated into a device identifier and how, i.e. the internal structure of the Device Identifier.

So it all boils down to:

"Is the internal data structure of the Device Identifier out of scope or not"

Paal